# Projet Téléinfo

## Description
Ce projet consiste en un système de traitement de trames d'informations de télérelevé (Téléinfo). Les données reçues sont stockées dans des fichiers CSV pour analyse ultérieure.

## Prérequis
- Un système Linux pour exécuter le script.
- PHP installé sur votre système.
- Les privilèges nécessaires pour exécuter le script en tant qu'utilisateur root (ou en tant qu'un autre utilisateur ayant accès aux ports série).

## Installation
1. Clonez ce dépôt dans le répertoire de votre choix :
   ```
   git clone https://git.abonnel.fr/cedricAbonnel/ampere.teleinfo.git
   ```
   
2. Accédez au répertoire du projet :
   ```
   cd ampere.teleinfo
   ```

3. Exécutez le script d'installation pour configurer le service systemd :
   ```
   sudo ./install.sh
   ```

4. Le service sera démarré automatiquement et configuré pour un démarrage au démarrage du système.

## Configuration
- Le chemin du script à exécuter se trouve dans le fichier de service systemd `teleinfo.service`. Vous pouvez le personnaliser selon vos besoins.

## Utilisation
- Le service exécute le script `/opt/ampere.teleinfo/scripts/teleinfo.sh`. Vous pouvez personnaliser ce script pour traiter les données Téléinfo selon vos besoins spécifiques.

## Documentation
Pour en savoir plus sur le projet et son utilisation, veuillez consulter la documentation fournie dans le dossier `docs`.

## Licence
Ce projet est sous licence MIT - voir le fichier [LICENSE](LICENSE) pour plus de détails.

---

**Auteur :** Cédric Abonnel
**Contact :** https://git.abonnel.fr/cedricAbonnel/ampere.teleinfo
