#!/bin/bash
# infoelec.sh - Script pour exécuter le script PHP teleinfo.php

# Définir le chemin complet vers le script PHP teleinfo.php
script_php="$(dirname "$0")/../code/teleinfo.php"

# Vérifier si le script PHP existe
if [ -e "$script_php" ]; then
    # Afficher un message indiquant le début de l'exécution
    echo "Exécution du script PHP teleinfo.php..."

    # Configuration du port série
    stty -F /dev/ttyAMA0 1200 sane evenp parenb cs7 -crtscts

    # Exécuter le script PHP
    php "$script_php"

    # Vérifier le code de retour de PHP
    if [ $? -eq 0 ]; then
        echo "Le script PHP teleinfo.php s'est terminé avec succès."
    else
        echo "Erreur : Le script PHP teleinfo.php a rencontré une erreur."
    fi
else
    echo "Erreur : Le script PHP teleinfo.php n'existe pas dans le chemin spécifié : $script_php"
fi



