#!/bin/bash

# Vérifier si l'utilisateur a les droits d'administration
if [ "$EUID" -ne 0 ]; then
  echo "Ce script doit être exécuté en tant qu'administrateur (root)."
  exit 1
fi

# Le chemin complet du script teleinfo.sh
SCRIPT_PATH="/opt/ampere.teleinfo/scripts/infoelec.sh"

# Le nom d'utilisateur sous lequel le service sera exécuté
SERVICE_USER="root"

# Le groupe sous lequel le service sera exécuté
SERVICE_GROUP="root"

# Le nom du fichier de service systemd
SERVICE_NAME="teleinfo.service"

# Le chemin complet du fichier de service systemd
SERVICE_FILE="/etc/systemd/system/$SERVICE_NAME"

# Créer le fichier de service systemd
echo "[Unit]
Description=Service de téléinfo

[Service]
Type=simple
ExecStart=/bin/bash -c '$SCRIPT_PATH'
WorkingDirectory=$(dirname "$SCRIPT_PATH")
User=$SERVICE_USER
Group=$SERVICE_GROUP

[Install]
WantedBy=multi-user.target" > "$SERVICE_FILE"

# Recharger la configuration de systemd
systemctl daemon-reload

# Activer le service pour le démarrage automatique
systemctl enable "$SERVICE_NAME"

# Démarrer le service
systemctl start "$SERVICE_NAME"

# Afficher l'état du service
systemctl status "$SERVICE_NAME"

echo "Le service a été installé et démarré avec succès."
